Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1603528 - bugzilla: FTBFS in Fedora rawhide
Summary: bugzilla: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: bugzilla
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-19 15:11 UTC by Mohan Boddu
Modified: 2018-08-10 09:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-10 09:27:40 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-07-19 15:11 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-19 15:11 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-19 15:11 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-19 15:11:17 UTC
bugzilla failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28170180


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix bugzilla at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
bugzilla will be orphaned. Before branching of Fedora 30,
bugzilla will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 15:11:22 UTC
Created attachment 1460805 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Mohan Boddu 2018-07-19 15:11:27 UTC
Created attachment 1460806 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Mohan Boddu 2018-07-19 15:11:31 UTC
Created attachment 1460807 [details]
state.log

Comment 4 Emmanuel Seyman 2018-08-05 21:36:15 UTC
Bugzilla builds fail on the documentation generating step because of a bug in python-sphinx.

https://github.com/sphinx-doc/sphinx/issues/5048
https://github.com/sphinx-doc/sphinx/pull/5050

I'll check rebuild-ability in a few days once python-sphinx-1.7.6-1.fc29 hits the mirrors then close this bug.

Comment 5 Emmanuel Seyman 2018-08-10 09:27:40 UTC
python-sphinx has been updated and the bugzilla package now builds from source.


Note You need to log in before you can comment on or make changes to this bug.